package main

import (
	"fmt"
	"net/http"
	"log"
	"html/template"
	//"error"
	"os"
	"strconv"
	//"path"
	//"io"
)


type Page struct {
	Help []byte
	Queue [][]byte
}


func homeHandler(w http.ResponseWriter, req *http.Request) {
	if req.Method == "GET" {
		p, err := loadPage("templates/home.html")
		if err != nil {
			p = &Page{Help: []byte("all okay")}
		}
		t, _ := template.ParseFiles("edit.html")
		t.Execute(w, p)
	} else {
		fmt.Fprintf(w, "No")
	}
}

func uploaderHandler(w http.ResponseWriter, req *http.Request) {
	if req.Method == "PUT" {
		fmt.Fprintf(w, "YESPLEASE")
	} else {
		fmt.Fprintf(w, "no")
	}
}

func main() {
	if len(os.Args) < 2 {
		log.Fatal("Port number required.")
		return
	}
	var port, err = strconv.ParseUint(os.Args[1], 10, 32)

	if err != nil {
		log.Fatal("Invalid port number as arg.")
		return
	}

	http.HandleFunc("/", homeHandler)
	http.HandleFunc("/add", uploaderHandler)
	log.Fatal(http.ListenAndServe(fmt.Sprintf(":%d", port), nil))
}
